Tonyu.klass.define({
  fullName: 'user.EnemyBox',
  shortName: 'EnemyBox',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_EnemyBox_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=1000000;//user.EnemyBox:0
      _this.THREE=Tonyu.globals.$THREE;
      //$LASTPOS=1000051;//user.EnemyBox:51
      _this.geometry = new _this.THREE.BoxGeometry(300,300,300);
      
      //$LASTPOS=1000104;//user.EnemyBox:104
      _this.material = new _this.THREE.MeshPhongMaterial({color: 16711680});
      
      //$LASTPOS=1000200;//user.EnemyBox:200
      _this.box = new _this.THREE.Mesh(_this.geometry,_this.material);
      
      //$LASTPOS=1000246;//user.EnemyBox:246
      _this.box.position.z=- 2000;
      //$LASTPOS=1000268;//user.EnemyBox:268
      _this.box.position.x=_this.rndFloat(- 300,300);
      //$LASTPOS=1000303;//user.EnemyBox:303
      _this.box.position.y=_this.rndFloat(- 300,300);
      //$LASTPOS=1000348;//user.EnemyBox:348
      Tonyu.globals.$scene.add(_this.box);
      //$LASTPOS=1000382;//user.EnemyBox:382
      while (_this.box.position.z<0) {
        Tonyu.checkLoop();
        //$LASTPOS=1000498;//user.EnemyBox:498
        _this.box.position.z+=10;
        //$LASTPOS=1000537;//user.EnemyBox:537
        _this.box.rotation.x+=0.01;
        //$LASTPOS=1000565;//user.EnemyBox:565
        _this.box.rotation.y+=0.01;
        //$LASTPOS=1000598;//user.EnemyBox:598
        _this.update();
        
      }
      //$LASTPOS=1000610;//user.EnemyBox:610
      Tonyu.globals.$scene.remove(_this.box);
    },
    fiber$main :function _trc_EnemyBox_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=1000000;//user.EnemyBox:0
      _this.THREE=Tonyu.globals.$THREE;
      //$LASTPOS=1000051;//user.EnemyBox:51
      _this.geometry = new _this.THREE.BoxGeometry(300,300,300);
      
      //$LASTPOS=1000104;//user.EnemyBox:104
      _this.material = new _this.THREE.MeshPhongMaterial({color: 16711680});
      
      //$LASTPOS=1000200;//user.EnemyBox:200
      _this.box = new _this.THREE.Mesh(_this.geometry,_this.material);
      
      //$LASTPOS=1000246;//user.EnemyBox:246
      _this.box.position.z=- 2000;
      //$LASTPOS=1000268;//user.EnemyBox:268
      _this.box.position.x=_this.rndFloat(- 300,300);
      //$LASTPOS=1000303;//user.EnemyBox:303
      _this.box.position.y=_this.rndFloat(- 300,300);
      //$LASTPOS=1000348;//user.EnemyBox:348
      Tonyu.globals.$scene.add(_this.box);
      
      _thread.enter(function _trc_EnemyBox_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=1000382;//user.EnemyBox:382
          case 1:
            if (!(_this.box.position.z<0)) { __pc=3     ; break; }
            //$LASTPOS=1000498;//user.EnemyBox:498
            _this.box.position.z+=10;
            //$LASTPOS=1000537;//user.EnemyBox:537
            _this.box.rotation.x+=0.01;
            //$LASTPOS=1000565;//user.EnemyBox:565
            _this.box.rotation.y+=0.01;
            //$LASTPOS=1000598;//user.EnemyBox:598
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            //$LASTPOS=1000610;//user.EnemyBox:610
            Tonyu.globals.$scene.remove(_this.box);
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"geometry":{},"material":{},"box":{},"THREE":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Main_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2000079;//user.Main:79
      if (typeof  requirejs==="function") {
        //$LASTPOS=2000120;//user.Main:120
        _this.THREE=_this.runPromise((function anonymous_137(s) {
          
          //$LASTPOS=2000152;//user.Main:152
          requirejs(["https://threejs.org/build/three.js"],s);
        }));
        
      } else {
        //$LASTPOS=2000225;//user.Main:225
        _this.waitFor($.getScript("https://threejs.org/build/three.js"));
        //$LASTPOS=2000289;//user.Main:289
        _this.THREE=window.THREE;
        
      }
      //$LASTPOS=2000311;//user.Main:311
      Tonyu.globals.$THREE=_this.THREE;
      //$LASTPOS=2000325;//user.Main:325
      _this.canvas = $("<canvas>").attr({width: Tonyu.globals.$screenWidth,height: Tonyu.globals.$screenHeight});
      
      //$LASTPOS=2000475;//user.Main:475
      _this.renderer = new _this.THREE.WebGLRenderer({canvas: _this.canvas[0]});
      
      //$LASTPOS=2000620;//user.Main:620
      _this.scene = new _this.THREE.Scene();
      
      //$LASTPOS=2000651;//user.Main:651
      Tonyu.globals.$scene=_this.scene;
      //$LASTPOS=2000724;//user.Main:724
      _this.camera = new _this.THREE.PerspectiveCamera(45,1,1,10000);
      
      //$LASTPOS=2000783;//user.Main:783
      _this.camera.position.set(0,0,2000);
      //$LASTPOS=2000851;//user.Main:851
      _this.light = new _this.THREE.DirectionalLight(16777215);
      
      //$LASTPOS=2000911;//user.Main:911
      _this.scene.add(_this.light);
      //$LASTPOS=2000942;//user.Main:942
      _this.light.position.set(1,1,1);
      //$LASTPOS=2000971;//user.Main:971
      _this.renderer.render(_this.scene,_this.camera);
      //$LASTPOS=2001004;//user.Main:1004
      new Tonyu.classes.user.PlayerBox;
      //$LASTPOS=2001019;//user.Main:1019
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=2001037;//user.Main:1037
        new Tonyu.classes.user.EnemyBox;
        //$LASTPOS=2001055;//user.Main:1055
        _this.updateEx(60);
        
      }
    },
    fiber$main :function _trc_Main_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_Main_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=2000079;//user.Main:79
            if (!(typeof  requirejs==="function")) { __pc=2     ; break; }
            //$LASTPOS=2000120;//user.Main:120
            _this.fiber$runPromise(_thread, (function anonymous_137(s) {
              
              //$LASTPOS=2000152;//user.Main:152
              requirejs(["https://threejs.org/build/three.js"],s);
            }));
            __pc=1;return;
          case 1:
            _this.THREE=_thread.retVal;
            
            __pc=4     ;break;
          case 2     :
            //$LASTPOS=2000225;//user.Main:225
            _this.fiber$waitFor(_thread, $.getScript("https://threejs.org/build/three.js"));
            __pc=3;return;
          case 3:
            
            //$LASTPOS=2000289;//user.Main:289
            _this.THREE=window.THREE;
          case 4     :
            
            //$LASTPOS=2000311;//user.Main:311
            Tonyu.globals.$THREE=_this.THREE;
            //$LASTPOS=2000325;//user.Main:325
            _this.canvas = $("<canvas>").attr({width: Tonyu.globals.$screenWidth,height: Tonyu.globals.$screenHeight});
            
            //$LASTPOS=2000475;//user.Main:475
            _this.renderer = new _this.THREE.WebGLRenderer({canvas: _this.canvas[0]});
            
            //$LASTPOS=2000620;//user.Main:620
            _this.scene = new _this.THREE.Scene();
            
            //$LASTPOS=2000651;//user.Main:651
            Tonyu.globals.$scene=_this.scene;
            //$LASTPOS=2000724;//user.Main:724
            _this.camera = new _this.THREE.PerspectiveCamera(45,1,1,10000);
            
            //$LASTPOS=2000783;//user.Main:783
            _this.camera.position.set(0,0,2000);
            //$LASTPOS=2000851;//user.Main:851
            _this.light = new _this.THREE.DirectionalLight(16777215);
            
            //$LASTPOS=2000911;//user.Main:911
            _this.scene.add(_this.light);
            //$LASTPOS=2000942;//user.Main:942
            _this.light.position.set(1,1,1);
            //$LASTPOS=2000971;//user.Main:971
            _this.renderer.render(_this.scene,_this.camera);
            //$LASTPOS=2001004;//user.Main:1004
            new Tonyu.classes.user.PlayerBox;
            //$LASTPOS=2001019;//user.Main:1019
          case 5:
            //$LASTPOS=2001037;//user.Main:1037
            new Tonyu.classes.user.EnemyBox;
            //$LASTPOS=2001055;//user.Main:1055
            _this.fiber$updateEx(_thread, 60);
            __pc=6;return;
          case 6:
            
            __pc=5;break;
          case 7     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    draw :function _trc_Main_draw(ctx) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2001103;//user.Main:1103
      if (_this.renderer) {
        //$LASTPOS=2001117;//user.Main:1117
        _this.renderer.render(_this.scene,_this.camera);
      }
      //$LASTPOS=2001153;//user.Main:1153
      if (_this.canvas) {
        //$LASTPOS=2001165;//user.Main:1165
        ctx.drawImage(_this.canvas[0],0,0);
      }
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true}},"fields":{"canvas":{},"renderer":{},"scene":{},"camera":{},"light":{},"THREE":{}}}
});
Tonyu.klass.define({
  fullName: 'user.PlayerBox',
  shortName: 'PlayerBox',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_PlayerBox_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=3000000;//user.PlayerBox:0
      _this.THREE=Tonyu.globals.$THREE;
      //$LASTPOS=3000051;//user.PlayerBox:51
      _this.geometry = new _this.THREE.BoxGeometry(50,50,50);
      
      //$LASTPOS=3000101;//user.PlayerBox:101
      _this.material = new _this.THREE.MeshPhongMaterial({color: 255});
      
      //$LASTPOS=3000197;//user.PlayerBox:197
      _this.box = new _this.THREE.Mesh(_this.geometry,_this.material);
      
      //$LASTPOS=3000253;//user.PlayerBox:253
      Tonyu.globals.$scene.add(_this.box);
      //$LASTPOS=3000270;//user.PlayerBox:270
      Tonyu.globals.$pad=new Tonyu.classes.kernel.APad;
      //$LASTPOS=3000285;//user.PlayerBox:285
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=3000389;//user.PlayerBox:389
        _this.box.position.x+=Tonyu.globals.$pad.vx*5;
        //$LASTPOS=3000435;//user.PlayerBox:435
        _this.box.rotation.x+=0.01;
        //$LASTPOS=3000463;//user.PlayerBox:463
        _this.box.rotation.y+=0.01;
        //$LASTPOS=3000496;//user.PlayerBox:496
        _this.update();
        
      }
    },
    fiber$main :function _trc_PlayerBox_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=3000000;//user.PlayerBox:0
      _this.THREE=Tonyu.globals.$THREE;
      //$LASTPOS=3000051;//user.PlayerBox:51
      _this.geometry = new _this.THREE.BoxGeometry(50,50,50);
      
      //$LASTPOS=3000101;//user.PlayerBox:101
      _this.material = new _this.THREE.MeshPhongMaterial({color: 255});
      
      //$LASTPOS=3000197;//user.PlayerBox:197
      _this.box = new _this.THREE.Mesh(_this.geometry,_this.material);
      
      //$LASTPOS=3000253;//user.PlayerBox:253
      Tonyu.globals.$scene.add(_this.box);
      //$LASTPOS=3000270;//user.PlayerBox:270
      Tonyu.globals.$pad=new Tonyu.classes.kernel.APad;
      
      _thread.enter(function _trc_PlayerBox_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=3000285;//user.PlayerBox:285
          case 1:
            //$LASTPOS=3000389;//user.PlayerBox:389
            _this.box.position.x+=Tonyu.globals.$pad.vx*5;
            //$LASTPOS=3000435;//user.PlayerBox:435
            _this.box.rotation.x+=0.01;
            //$LASTPOS=3000463;//user.PlayerBox:463
            _this.box.rotation.y+=0.01;
            //$LASTPOS=3000496;//user.PlayerBox:496
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"geometry":{},"material":{},"box":{},"THREE":{}}}
});

//# sourceMappingURL=concat.js.map